/**
 * Created by kevenfeng on 2016/3/29.
 */
var style = require("style");
var common = require("../common.js");
    var news = {
        type : common.getQueryString("type"),
        sectype : common.getQueryString("sectype"),
        id : common.getQueryString("id"),
        serverUrl : common.getAjaxHost("news"),
        init:function(){
            this.getNewsInfoAndShow();
        },
        getNewsInfoAndShow:function(){
            if(this.type== 4){//发现页面的资讯
                var action = "DiscNewsContent";
            }else{
                var action = "Content";
            }

            var that = this;
            var options = {
                url:this.serverUrl+'getNews',
                data:{
                    action:action,
                    type:this.type,
                    sectype:this.sectype,
                    id:this.id
                },
                success:function(data){
                    $('#bigLoading').addClass('none');
                    if(data.ret!=0||data.content == ""){
                        $('#noData').removeClass("none");
                        return;
                    }
                    $('#content').removeClass('none');
                    var newsData = JSON.parse(data.content);

                    //处理态度标签
                    if(newsData.vtTagInfo.length!=0 && newsData.vtTagInfo[0].eAttiType>0 && newsData.vtTagInfo[0].eAttiType<6){
                        var attitude=6-newsData.vtTagInfo[0].eAttiType/1;
                        $("#newsTag").removeClass('none');
                        $("#newsTag li").eq(attitude-1).addClass('on');
                        $("#newsTag li").eq(attitude-1).find('span').html(newsData.vtTagInfo[0].sTagName);
                    }

                    $("#newsTitle").html(newsData.sTitle);
                    if(that.type!=3){
                        $("#newsAuthor").html(newsData.sFrom);
                    }
                    var tempDate=common.dateConverter("yyyy-MM-dd hh:mm",newsData.iTime*1000);

                    if(tempDate.substr(11,5)=='00:00'){
                        tempDate=tempDate.substr(0,11);
                    }
                    $("#newsDate").html(tempDate);

                    $("#newsContent").html(newsData.sContent);

                    //处理摘要
                    if(newsData.sDescription!=''){
                        $('#summary').removeClass('none').html(newsData.sDescription);
                    }
                },
                error:function(data){
                    $('#noData').removeClass("none");
                    $('#bigLoading').addClass('none');
                    return;
                }
            };
            common.getData(options);
        },
    }
    news.init();

    // common.mobileConsole($(window).width(), $(window).height());


